package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class StaffDepartmentRelatedDTO implements Serializable {
    private String staffDepartmentRelatedId;

    private String staffId;

    private String phoneNumber;

    private String nationCode;

    private String wxEnterpriseId;

    private String departmentId;

    private Integer statusFlag;

    private String clerkCode;
    
    private String staffName;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getStaffDepartmentRelatedId() {
        return staffDepartmentRelatedId;
    }

    public void setStaffDepartmentRelatedId(String staffDepartmentRelatedId) {
        this.staffDepartmentRelatedId = staffDepartmentRelatedId == null ? null : staffDepartmentRelatedId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    public String getNationCode() {
        return nationCode;
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode == null ? null : nationCode.trim();
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId == null ? null : departmentId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode == null ? null : clerkCode.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}
    
    
}